Loading ...
Sorry, an error occurred while loading the content.

YUI 2.4 Executive Summary ... Well, Executive Decision, At Least...

Expand Messages
  • Randall R Schulz
    Hi, I ve been using YUI 2.3.1 for but a week, now. Is there any reason I should not update to 2.4? Apart from the release notes, does the on-line documentation
    Message 1 of 3 , Dec 4, 2007
    • 0 Attachment
      Hi,

      I've been using YUI 2.3.1 for but a week, now.

      Is there any reason I should not update to 2.4? Apart from the release
      notes, does the on-line documentation reflect 2.4? Are their known
      breaking changes in the API? (Not that it's very likely I've yet to use
      one that was so changed, but I'm not feeling particularly lucky in the
      world of Web UI development...)

      I know the code itself is released in versioned form, so nothing ever
      changes out from under the users (a good thing, to be sure), but how
      about documentation? The same?


      Randall Schulz
    • Eric Miraglia
      Randall, The documentation that you download from SourceForge (http://developer.yahoo.com/yui/download/ ) is yours to keep forever, and old versions are
      Message 2 of 3 , Dec 4, 2007
      • 0 Attachment
        Randall,

        The documentation that you download from SourceForge (http://developer.yahoo.com/yui/download/) is yours to keep forever, and old versions are archived on our SourceForge project.  That gives you all the code, the examples and the API docs for legacy versions.

        The website (http://developer.yahoo.com/yui/) is not versioned; it reflects the latest truth about the current library version.  So, as of this afternoon the site describes YUI 2.4.0.  The same is true for the colorful Cheat Sheets.

        The biggest issue with the 2.4.0 upgrade would be for folks using the YUI Loader, which (as it is in beta) has had a significant API change.  Any components not in beta should upgrade very seamlessly...let us know if you find that not to be the case.

        Regards,
        Eric


        ______________________________________________
        Eric Miraglia
        Yahoo! User Interface Library



        On Dec 4, 2007, at 5:57 PM, Randall R Schulz wrote:

        Hi,

        I've been using YUI 2.3.1 for but a week, now.

        Is there any reason I should not update to 2.4? Apart from the release 
        notes, does the on-line documentation reflect 2.4? Are their known 
        breaking changes in the API? (Not that it's very likely I've yet to use 
        one that was so changed, but I'm not feeling particularly lucky in the 
        world of Web UI development. ..)

        I know the code itself is released in versioned form, so nothing ever 
        changes out from under the users (a good thing, to be sure), but how 
        about documentation? The same?

        Randall Schulz


      • Randall R Schulz
        Eric, ... OK. I guess I ll stick to my usual headlong, heedless upgrade policy... ... Thanks. Randall Schulz
        Message 3 of 3 , Dec 5, 2007
        • 0 Attachment
          Eric,

          On Tuesday 04 December 2007 19:11, Eric Miraglia wrote:
          > Randall,
          >
          > ...
          >
          > The website (http://developer.yahoo.com/yui/) is not versioned; it
          > reflects the latest truth about the current library version. ...
          >
          > The biggest issue with the 2.4.0 upgrade would be for folks using the
          > YUI Loader, which (as it is in beta) has had a significant API
          > change. Any components not in beta should upgrade very
          > seamlessly...let us know if you find that not to be the case.

          OK. I guess I'll stick to my usual headlong, heedless upgrade policy...


          > Regards,
          > Eric


          Thanks.

          Randall Schulz
        Your message has been successfully submitted and would be delivered to recipients shortly.